<div class="row raffle" ng-controller="profile.Award">
    <div ng-if="showRaffleMask">
        <div class="raffle-loading-mask">
        </div>
        <div class="raffle-loading">
            <img src="./res/raffle.gif" alt="抽奖中..." ng-if="raffleStart">
            <div ng-if="!raffleStart">
                <div class="raffle-end">
                    <div class="raffle-result">
                        <span>{{ amount }}</span>元
                    </div>
                    <div class="raffle-descript">
                        <p>奖金已进入您的奖励余额，可随时申请提现。</p>
                        <button type="button" class="btn btn-warning mt10" ng-click="methods.closeRaffleResult()">确定</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <section class="panel mb10">
        <div class="awardcover">
            <div class="process-base">
                <header>总奖励￥{{total}}</header>
                <div class="pro-bar">
                    <div class="progress">
                        <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: {{moneyPersent}}%;">
                        </div>
                    </div>
                </div>
                <div class="ftspan">
                    <span>已申请提现/可申请提现</span>
                    <span class="pull-right">￥{{alreadyTaken}}/￥{{withdrawals}}</span>
                    <span class="clearfix"></span>
                </div>
                <div class="applicationmoney">
                    <button class="btn" ng-click="methods.applyAward()">申请提现</button>
                </div>
            </div>
        </div>
    </section>
    <section class="panel mb10 reordpanel">
        <div class="recordcover">
            <div class="panel-heading recordhead">
                <span>提现记录</span>
            </div>
            <div class="panel-body">
                <table class="table table-hover">
                    <tbody>
                        <tr id="{{data.recordId}}" class="recordDatalist" ng-repeat="data in recordData.datalist track by $index" ng-click="methods.showReason('{{data.recordId}}')" data-rafstatus="{{data.statuscode}}" data-statusinfo="{{data.statusinfo}}" detail-filter>
                            <td>{{data.date | date:'yyyy-MM-dd'}}</td>
                            <td>￥{{data.money}}</td>
                            <td>{{data.statustext}}</td>
                        </tr>
                        <!-- <tr class="recordfail">
                            <td colspan="3">哈哈哈失败了</td>
                        </tr> -->
                    </tbody>
                </table>
                <nav class="text-right page-wrap" ng-if=" recordData.pagetotal > vm.withdral_pageParams.limit ">
                    <pagination class="mt0 mb0" 
                        items-per-page="vm.withdral_pageParams.limit" 
                        total-items="recordData.pagetotal" 
                        ng-model="vm.withdral_pageParams.start" 
                        ng-change="methods.withdrawalsRecord()">
                    </pagination>
                    <span class="total">共{{recordData.pagetotal}}页</span>
                </nav>
            </div>
        </div>
    </section>
    <section class="panel mb10 freordpanel">
        <div class="frecordcover">
            <div class="panel-heading frecordhead">
                <span>抽奖记录</span>
            </div>
            <div class="panel-body">
                <table class="table table-hover">
                    <tbody>
                        <tr ng-repeat="data in cashdata.datalist">
                            <td>{{data.date | date:'yyyy-MM-dd'}}</td>
                            <td><a ui-sref="order.detail({id: data.orderId })">{{data.orderserial}}</a></td>
                            <td>
                                <span ng-if="data.lotterybool">￥{{data.money}}</span>
                                <button ng-if="!data.lotterybool" class="btn" ng-click="methods.getLottery(data.id)">抽奖</button>
                            </td>
                            <td>{{data.statustext}}</td>
                        </tr>
                    </tbody>
                </table>
                <nav class="text-right page-wrap" ng-if=" cashdata.pagetotal > vm.cashback_pageParams.limit ">
                    <pagination 
                        class="mt0 mb0" 
                        items-per-page="vm.cashback_pageParams.limit" 
                        total-items="cashdata.pagetotal" 
                        ng-model="vm.cashback_pageParams.start" 
                        ng-change="methods.cashbackRecord()">
                    </pagination>
                    <span class="total">共{{cashdata.pagetotal}}页</span>
                </nav>
            </div>
            <div class="panel-footer">
                <span>待生效总额：￥{{cashdata.waitTotal | price}}</span>
            </div>
        </div>
    </section>
</div>
